#!/usr/bin/bash

link_config_files() {
  shopt -s dotglob
  for file in $1 ; do
    if [[ -f ${file} ]] ; then
      ln -F -s $file
    fi

    if [[ -d ${file} ]] ; then
      mkdir -p $(basename "$file")
      cd $(basename "$file")
      link_config_files "../$file/*"
      cd ..
    fi
  done
}

link_config_files "../../dash_lord_configs/dash_overlord/*"
