class CreateBeeVideos < ActiveRecord::Migration[5.0]
  def change
    create_table :bee_videos do |t|
      t.string  :url
      t.string  :subtitle1_uid
      t.string  :subtitle2_uid
      t.string  :dominant_color_hex
      t.string  :thumbnail_small_url
      t.integer :thumbnail_small_width
      t.integer :thumbnail_small_height
      t.string  :thumbnail_medium_url
      t.integer :thumbnail_medium_width
      t.integer :thumbnail_medium_height
      t.string  :thumbnail_large_url
      t.integer :thumbnail_large_width
      t.integer :thumbnail_large_height

      t.timestamps
    end
  end
end
