class AddWidthAndHeightToBeeVideos < ActiveRecord::Migration[5.0]
  def up
    add_column :bee_videos, :author, :string
    add_column :bee_videos, :original_url, :string
    add_column :bee_videos, :original_width, :integer
    add_column :bee_videos, :original_height, :integer

    remove_column :bee_videos, :subtitle1_uid
    remove_column :bee_videos, :subtitle2_uid
  end

  def down
    remove_column :bee_videos, :author
    remove_column :bee_videos, :original_url
    remove_column :bee_videos, :original_width
    remove_column :bee_videos, :original_height

    add_column :bee_videos, :subtitle1_uid, :string
    add_column :bee_videos, :subtitle2_uid, :string
  end
end
