class AddStartAndEndTimeToSubtitleLines < ActiveRecord::Migration[5.0]
  def up
    add_column :subtitle_lines, :type_of_subtitle, :string
    add_column :subtitle_lines, :start_time, :time
    add_column :subtitle_lines, :end_time, :time

    remove_column :subtitle_lines, :subtitle_uid
  end

  def down
    remove_column :subtitle_lines, :start_time
    remove_column :subtitle_lines, :end_time
    remove_column :subtitle_lines, :type_of_subtitle

    add_column :subtitle_lines, :subtitle_uid, :string
  end
end
