require 'i18n'

locales_path = '../dash_overlord/locales/**{,/*/**}/*.{rb,yml}'

I18n.load_path += Dir[File.expand_path(locales_path, __FILE__)]
I18n.backend.load_translations
I18n.available_locales.push :en

module DashOverlord
  HellRaiserError = Class.new(StandardError)
end

require_relative 'dash_overlord/requirable'
require_relative 'elasticord'

DashOverlord::Requirable.load_relative __FILE__, 'dash_overlord/**{,/*/**}/*.rb'
