require 'forwardable'

module DashOverlord
  module Models
    module V1
      module DynamoDb
        class PaginatedResult < OpenStruct
          include Enumerable
          extend Forwardable

          def_delegators :items, :each, :map, :first, :last, :length, :count
        end
      end
    end
  end
end
