module DashOverlord
  module Models
    module V1

      class SubtitleLine < V1::Base
        belongs_to :bee_video

        scope :ft, ->(text) do
          clear_text = text.gsub(/[\(\):\-|!&\*']/, '')

          where("subtitle_lines.search_text @@ to_tsquery('simple', ' ''' || unaccent(?) || ' ''' || ':*')", clear_text)
        end

        def tag?
          type_of_subtitle == 'tag'
        end
      end

    end
  end
end
