module DashOverlord
  module Serializers
    module V1
      module Videos

        class Show < Videos::Base
          expose :url

          expose :title

          expose :original_width, as: :width

          expose :original_height, as: :height

          expose :dominant_color_hex

          expose :thumbnail_small_url

          expose :thumbnail_small_width

          expose :thumbnail_small_height

          expose :thumbnail_medium_url

          expose :thumbnail_medium_width

          expose :thumbnail_medium_height

          expose :thumbnail_large_url

          expose :thumbnail_large_width

          expose :thumbnail_large_height

          expose :subtitle_url

          expose :meta
        end

      end
    end
  end
end
