module DashOverlord
  module UseCases
    module V1
      module Admins
        module ShowCurrentAdmin

          class Base < V1::Base
            def perform
              invoke! FindCurrentAdmin
            end

            def final
              context.data = Serializers::V1::Admins::Show.to_hash \
                context, status.ok? ? :current_admin : false
            end
          end

        end
      end
    end
  end
end
