module DashOverlord
  module UseCases
    module V1
      module ChartConfigs
        module Show

          class Base < V1::Base
            def perform
              invoke! Admins::FindCurrentAdmin
              invoke! FindChartConfig
            end

            def final
              context.data = Serializers::V1::ChartConfigs::Show.to_hash \
                context, status.ok? ? :chart_config : false
            end
          end

        end
      end
    end
  end
end
