module DashOverlord
  module UseCases
    module V1
      module Clients
        module Create

          class Base < V1::Base
            def perform
              invoke! Admins::FindCurrentAdmin
              invoke! BuildClient
              invoke! AssignAttributesToClient
              invoke! ValidateClient
              invoke! SaveClient

              status.created! if status.ok?
            end

            def final
              context.data = Serializers::V1::Clients::Create.to_hash \
                context,
                status.created? || status.unprocessable_entity? ? :client : false
            end
          end

        end
      end
    end
  end
end
