module DashOverlord
  module UseCases
    module V1
      module Clients

        class DeleteClient < V1::Base
          context_reader :client

          def perform
            return if client.nil?
            return if client.destroy

            failure! \
              :internal_server_error,
              I18n.t('v1.clients.error_while_destroying')
          end
        end

      end
    end
  end
end
