module DashOverlord
  module UseCases
    module V1
      module Clients
        module Show

          class FindClient < V1::Base
            def perform
              invoke! GetClient

              return if context.client.present?

              failure!(:not_found, I18n.t('v1.clients.not_found'))
            end
          end

        end
      end
    end
  end
end
