module DashOverlord
  module UseCases
    module V1
      module Clients
        module Update

          class Base < V1::Base
            def perform
              invoke! Admins::FindCurrentAdmin
              invoke! Show::FindClient
              invoke! Create::AssignAttributesToClient
              invoke! Create::ValidateClient
              invoke! SaveClient
            end

            def final
              context.data = Serializers::V1::Clients::Update.to_hash \
                context,
                status.ok? || status.unprocessable_entity? ? :client : false
            end
          end

        end
      end
    end
  end
end
