module DashOverlord
  module UseCases
    module V1
      module Shared
        module SearchAndPaginate

          class ExecuteQuery < V1::Base
            context_reader :resources

            def perform
              return unless resources.respond_to?(:load)

              context.resources = resources.load
            end
          end

        end
      end
    end
  end
end
