module DashOverlord
  module UseCases
    module V1
      module Users
        module Create

          class AssignAttributesToUser < V1::Base
            def perform
              context.user.assign_attributes user_attributes
            end

            protected ###################### PROTECTED ########################

            def user_attributes
              (context.user_attributes || {})
                .with_indifferent_access
                .slice :email,
                       :password
            end
          end

        end
      end
    end
  end
end
