module DashOverlord
  module UseCases
    module V1
      module Users

        class DeleteUser < V1::Base
          context_reader :user

          def perform
            return if user.nil?
            return if user.destroy

            failure! \
              :internal_server_error,
              I18n.t('v1.users.error_while_destroying')
          end
        end

      end
    end
  end
end
