module DashOverlord
  module UseCases
    module V1
      module Users
        module Show

          class FindUser < V1::Base
            def perform
              invoke! GetUser

              return if context.user.present?

              failure!(:not_found, I18n.t('v1.users.not_found'))
            end
          end

        end
      end
    end
  end
end
