module DashOverlord
  module UseCases
    module V1
      module Users
        module ShowCurrentUser

          class Base < V1::Base
            def perform
              invoke! FindCurrentUser
            end

            def final
              context.data = Serializers::V1::Users::Show.to_hash \
                context, status.ok? ? :current_user : false
            end
          end

        end
      end
    end
  end
end
