module DashOverlord
  module UseCases
    module V1
      module Videos
        module Import
          module FromPostgresToElasticSearch

            # DashOverlord::UseCases::V1::Videos::Import::FromPostgresToElasticSearch::Base.perform
            class Base < V1::Base
              context_reader :segment_uid

              def perform
                context.segment_uid = 'hhc'

                invoke! DeleteElasticSearchBeeVideos

                postgres_bee_videos.each do |postgres_bee_video|
                  invoke! StoreBeeVideo, postgres_bee_video: postgres_bee_video
                end
              end

              def postgres_bee_videos
                Models::V1::BeeVideo.where(segment_uid: segment_uid)
              end
            end

          end
        end
      end
    end
  end
end
