module DashOverlord
  module UseCases
    module V1
      module Videos
        module Import
          module FromPostgresToElasticSearch

            class DeleteElasticSearchBeeVideos < V1::Base
              context_reader :segment_uid

              def perform
                DashOverlord::Models::V1::ElasticSearch::BeeVideo
                  .by_dashboard('hhc')
                  .delete_all
              end
            end

          end
        end
      end
    end
  end
end
