module DashOverlord
  module UseCases
    module V1
      module Videos
        module Index
          module DynamoDb

            class SearchAndPaginateVideos < Shared::SearchAndPaginate::Base
              def perform
                context.videos = search_and_paginate(resource_class)
              end

              protected ################## PROTECTED ###################

              def resource_class
                DashOverlord::Models::V1::DynamoDb::Video
              end
            end

          end
        end
      end
    end
  end
end
