module Elasticord
  module Config
    module_function

    def set(key, value)
      data[key] = value
    end

    def get(key)
      return data[key] if data.key?(key)

      ENV.fetch(key.to_s.upcase, ENV.fetch("ELASTICORD_#{key.to_s.upcase}"))
    end

    def prefix(value)
      @prefix = value
    end

    def data
      @data ||= {}
    end
  end
end
