class AddFulltextSearchToSubtitleLines < ActiveRecord::Migration[5.0]
  def up
    execute "CREATE EXTENSION IF NOT EXISTS unaccent;"

    add_column :subtitle_lines, :search_text, :tsvector
  end

  def down
    execute "DROP EXTENSION unaccent;"

    remove_column :subtitle_lines, :search_text
  end
end
