module DashOverlord
  module UseCases
    module V1
      module Admins
        module LogIn

          class Base < V1::Shared::LogIn::Base
            def perform
              context.user_model_class = Models::V1::Admin
              context.user_model_attributes = context.admin_attributes

              super
            end

            def final
              context.data = Serializers::V1::Admins::LogIn.to_hash \
                context,
                status.ok? || status.unprocessable_entity? ? :user_model : false
            end
          end

        end
      end
    end
  end
end
