module DashOverlord
  module UseCases
    module V1
      module Admins
        module ShowCurrentAdmin

          class FindCurrentAdmin < V1::Base
            def perform
              invoke! GetCurrentAdmin

              return if context.current_admin.present?

              failure!(:unauthorized, I18n.t('v1.admins.not_logged_in'))
            end
          end

        end
      end
    end
  end
end
