module DashOverlord
  module UseCases
    module V1
      module Admins
        module ShowCurrentAdmin

          class GetCurrentAdmin < V1::Base
            context_reader :session

            def perform
              context.current_admin ||=
                Models::V1::Admin.where(id: session[:admin_id] || -1).first
            end
          end

        end
      end
    end
  end
end
