module DashOverlord
  module UseCases
    module V1
      module ChartConfigs
        module Delete

          class Base < V1::Base
            def perform
              invoke! Admins::FindCurrentAdmin
              invoke! Show::FindChartConfig
              invoke! DeleteChartConfig

              status.accepted! if status.ok?
            end

            def final
              context.data = Serializers::V1::ChartConfigs::Delete.to_hash \
                context, false
            end
          end

        end
      end
    end
  end
end
