module DashOverlord
  module UseCases
    module V1
      module ChartConfigs
        module Delete

          class DeleteChartConfig < UseCases::Base
            context_reader :chart_config

            def perform
              return if chart_config.nil?
              return if chart_config.destroy

              failure! \
                :internal_server_error,
                I18n.t('v1.chart_configs.error_while_destroying')
            end
          end

        end
      end
    end
  end
end
