module DashOverlord
  module UseCases
    module V1
      module ChartConfigs
        module Index

          class Base < V1::Base
            def perform
              invoke! Admins::FindCurrentAdmin
              invoke! FindChartConfigs
              invoke! SearchAndPaginateChartConfigs
            end

            def final
              context.data = Serializers::V1::ChartConfigs::Index.to_hash \
                context, status.ok? ? nil : false
            end
          end

        end
      end
    end
  end
end
