module DashOverlord
  module UseCases
    module V1
      module ChartConfigs

        class SaveChartConfig < V1::Base
          def perform
            return if context.chart_config.save

            failure! \
              :internal_server_error,
              I18n.t('v1.chart_configs.error_while_saving')
          end
        end

      end
    end
  end
end
