module DashOverlord
  module UseCases
    module V1
      module ChartConfigs
        module Show

          class FindChartConfig < V1::Base
            def perform
              invoke! GetChartConfig

              return if context.chart_config.present?

              failure!(:not_found, I18n.t('v1.chart_configs.not_found'))
            end
          end

        end
      end
    end
  end
end
