module DashOverlord
  module UseCases
    module V1
      module Clients
        module Create

          class AssignAttributesToClient < V1::Base
            def perform
              context.client.assign_attributes client_attributes

              context.client.uid = context.client.name.to_s.underscore
            end

            protected ###################### PROTECTED ########################

            def client_attributes
              (context.client_attributes || {})
                .with_indifferent_access
                .slice :name
            end
          end

        end
      end
    end
  end
end
