module DashOverlord
  module UseCases
    module V1
      module Clients
        module Delete

          class Base < V1::Base
            def perform
              invoke! Admins::FindCurrentAdmin
              invoke! Show::FindClient
              invoke! DeleteClient

              status.accepted! if status.ok?
            end

            def final
              context.data = Serializers::V1::Clients::Delete.to_hash \
                context, false
            end
          end

        end
      end
    end
  end
end
