module DashOverlord
  module UseCases
    module V1
      module Clients
        module Index

          class Base < V1::Base
            def perform
              invoke! Admins::FindCurrentAdmin
              invoke! FindClients
              invoke! SearchAndPaginateClients
            end

            def final
              context.data = Serializers::V1::Clients::Index.to_hash \
                context, status.ok? ? nil : false
            end
          end

        end
      end
    end
  end
end
