module DashOverlord
  module UseCases
    module V1
      module Clients

        class SaveClient < V1::Base
          def perform
            return if context.client.save

            failure! \
              :internal_server_error,
              I18n.t('v1.clients.error_while_saving')
          end
        end

      end
    end
  end
end
