module DashOverlord
  module UseCases
    module V1
      module Repositories
        module DynamoDb
          module SearchAndPaginate

            class ApplyFilters < V1::Base
              context_reader :filter_query, :resource

              def perform
                context.resource = \
                  resource.search(filter_query.presence)
              end
            end
          end
        end
      end
    end
  end
end
