module DashOverlord
  module UseCases
    module V1
      module Shared
        module LogIn

          class AssignAttributesToUserModel < V1::Base
            context_reader :user_model

            def perform
              user_model.assign_attributes user_model_attributes
            end

            protected #################### PROTECTED ###########################

            def user_model_attributes
              (context.user_model_attributes || {})
                .with_indifferent_access
                .slice :email,
                       :password
            end
          end

        end
      end
    end
  end
end
