module DashOverlord
  module UseCases
    module V1
      module Shared
        module LogIn

          class GetExistingUserModel < V1::Base
            context_reader :user_model, :user_model_class

            def perform
              context.existing_user_model =
                user_model_class.find_by_email(user_model.email)
            end
          end

        end
      end
    end
  end
end
