module DashOverlord
  module UseCases
    module V1
      module Shared
        module SearchAndPaginate

          class ApplyFullTextSearch < V1::Base
            context_reader :full_text_term, :resources

            def perform
              return if full_text_term.blank?
              return unless resources.respond_to?(:ft)

              context.resources = resources.ft(full_text_term)
            end
          end

        end
      end
    end
  end
end
