module DashOverlord
  module UseCases
    module V1
      module Users
        module Delete

          class Base < V1::Base
            def perform
              invoke! Admins::FindCurrentAdmin
              invoke! Users::Show::FindUser
              invoke! DeleteUser

              status.accepted! if status.ok?
            end

            def final
              context.data = Serializers::V1::Users::Delete.to_hash \
                context, false
            end
          end

        end
      end
    end
  end
end
