module DashOverlord
  module UseCases
    module V1
      module Users
        module Index

          class Base < V1::Base
            def perform
              invoke! Admins::FindCurrentAdmin
              invoke! SearchAndPaginateUsers
            end

            def final
              context.data = Serializers::V1::Users::Index.to_hash \
                context, status.ok? ? nil : false
            end
          end

        end
      end
    end
  end
end
