module DashOverlord
  module UseCases
    module V1
      module Users

        class SaveUser < V1::Base
          def perform
            if context.user.password.present?
              context.user.secured_password = context.user.password
            end

            return if context.user.save

            failure! \
              :internal_server_error,
              I18n.t('v1.users.error_while_saving')
          end
        end

      end
    end
  end
end
