module DashOverlord
  module UseCases
    module V1
      module Users
        module ShowCurrentUser

          class FindCurrentUser < V1::Base
            def perform
              invoke! GetCurrentUser

              return if context.current_user.present?

              failure!(:unauthorized, I18n.t('v1.users.not_logged_in'))
            end
          end

        end
      end
    end
  end
end
