module DashOverlord
  module UseCases
    module V1
      module Users
        module ShowCurrentUser

          class GetCurrentUser < V1::Base
            context_reader :session

            def perform
              context.current_user ||=
                Models::V1::User.where(id: session[:user_id] || -1).first
            end
          end

        end
      end
    end
  end
end
