module DashOverlord
  module UseCases
    module V1
      module Users
        module Update

          class Base < V1::Base
            def perform
              invoke! Admins::FindCurrentAdmin
              invoke! Show::FindUser
              invoke! Create::AssignAttributesToUser
              invoke! Create::ValidateUser
              invoke! SaveUser
            end

            def final
              context.data = Serializers::V1::Users::Update.to_hash \
                context,
                status.ok? || status.unprocessable_entity? ? :user : false
            end
          end

        end
      end
    end
  end
end
