module Elasticord
  module Client
    module Index
      module_function

      def refresh(elastic_search_client, index)
        begin
          elastic_search_client.indices.refresh index: index
        rescue Elasticsearch::Transport::Transport::Errors::NotFound
          return true
        end
      end
    end
  end
end
